﻿<%@ Page Title="Home Page" Language="vb" MasterPageFile="~/Site.Master" AutoEventWireup="false"
	CodeBehind="Default.aspx.vb" Inherits="ExtJs._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
	<script type="text/javascript" src="Scripts/ext/ext-base.js"></script> 
	<script type="text/javascript" src="Scripts/ext/ext-all.js"></script>
	<link type="text/css" href="Styles/ext/ext-all.css" rel="stylesheet"  />

</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
   <div>
	<input type="button" onclick="return getCustomers();" value="Get Customers" id="btnGetCustomers"/>
	<input type="button" onclick="return saveCustomers();" value="Save Customers" id="btnSaveCustomers"/>
	</div>
	 <script type="text/javascript">
		 var dsCustomer;
		 var colCustomer;
		 var proxyCustomer;
		 var readerCustomer;
		 var writerCustomer;
		 var gridCustomer;
		 var windowCustomer;

		 function saveCustomers() {			 
				 dsCustomer.save();			 
		 }

		 function getCustomers() {
			 Ext.lib.Ajax.defaultPostHeader = 'application/json';
			
			 proxyCustomer = new Ext.data.HttpProxy({
				 api: {
					 read: "/NorthwindCustomers.svc/GetCustomers",
					 update: "/NorthwindCustomers.svc/UpdateCustomer"
				 },
				 method: "POST"
			 });

			 readerCustomer = new Ext.data.JsonReader({ root: "d",
				 idProperty: "CustomerId",
				 fields: ["CustomerId", "ContactName"]
			 });


	        writeCustomer = new Ext.data.JsonWriter({ encode: false, listful: true });

			dsCustomer = new Ext.data.Store({
				 id: "dsCustomer",
				 proxy: proxyCustomer,
				 reader: readerCustomer,
				 writer: writeCustomer,
				 autoSave: false
			 });

			 colCustomer = new Ext.grid.ColumnModel([
				{ header: "Customer ID",
					dataIndex: "CustomerId"
				},
				{ header: "Contact Name",
					dataIndex: "ContactName",
					editor: {
						xtype: 'textfield'
					}
				}
				 ]);

			 gridCustomer = new Ext.grid.EditorGridPanel({
				 id: "CustomerGrid",
				 store: dsCustomer,
				 cm: colCustomer,
				 height: 225
			 });

			 windowCustomer = new Ext.Window({
				 id: 'CustomerWindow',
				 title: 'Northwind Customers',
				 width: 235,
				 height: 250,
				 items: gridCustomer
			 });

			 dsCustomer.load();
			 windowCustomer.show();
		 };        
	</script>
	

</asp:Content>
