﻿Imports System.ServiceModel
Imports System.ServiceModel.Activation
Imports System.ServiceModel.Web

'<ServiceBehavior(IncludeExceptionDetailInFaults:=True)>    'for debugging
<ServiceContract(Namespace:="phvis.com/extjs/wcf")>
<AspNetCompatibilityRequirements(RequirementsMode:=AspNetCompatibilityRequirementsMode.Allowed)>
Public Class NorthwindCustomers

    <OperationContract()>
    Public Sub UpdateCustomer(ByVal d As CustomerDTO())
        Dim nw As New northwndEntities
        For Each cDTO As CustomerDTO In d
            UpdateACustomer(nw, cDTO)
        Next
        nw.SaveChanges()

    End Sub

    Private Sub UpdateACustomer(ByVal nw As northwndEntities, ByVal cDTO As CustomerDTO)
        Dim cust = (From c As Customer
               In nw.Customers
               Where (c.CustomerID = cDTO.CustomerId)
               Select c).First
        cust.ContactName = cDTO.ContactName
    End Sub

    <OperationContract()>
    Public Function GetCustomers() As List(Of CustomerDTO)
        Dim nw As New northwndEntities

        Dim res = From cust As Customer
                  In nw.Customers
                  Select New CustomerDTO With {.ContactName = cust.ContactName, .CustomerId = cust.CustomerID}

        Return res.ToList

    End Function



End Class
